cURL
curl --request GET \ --url https://api.callhq.ai/api/files \ --header 'x-api-key: <api-key>'
{ "files": [ { "id": "<string>", "externalId": "<string>", "name": "<string>", "integrationId": "<string>", "url": "<string>", "bytes": 123, "object": "<string>", "purpose": "<string>", "mimetype": "<string>", "bucket": "<string>", "path": "<string>", "status": "<string>", "parsedTextUrl": "<string>", "parsedTextBytes": "<string>", "organizationId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "organization": { "id": "<string>", "name": "<string>" }, "integration": {} } ], "pagination": { "total": 123, "page": 123, "limit": 123, "totalPages": 123 } }
Documentation IndexFetch the complete documentation index at: https://docs.callhq.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.callhq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Page number for pagination.
Maximum number of files to return per page.
List of files retrieved successfully.
Show child attributes